---
layout: markdown_page
title: "Category Strategy - Backup and Restore"
---

- TOC
{:toc}

## 🗄 Backup and Restore

### Introduction and how you can help

* [Overall Strategy](/direction/geo)
* No roadmap is available yet.
* [Maturity: <%= data.categories["backup_restore"].maturity.capitalize %>](/direction/maturity)
* [Documentation](https://docs.gitlab.com/ee/raketasks/backup_restore.html)
* [Complete Maturity epic](https://gitlab.com/groups/gitlab-org/-/epics/2299)
* [All Epics](https://gitlab.com/groups/gitlab-org/-/epics?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Category%3ABackup%2FRestore%20of%20GitLab%20instances)

Please reach out to Fabian Zimmer, Product Manager for the Geo group
([Email](mailto:fzimmer@gitlab.com)) if you'd like to provide feedback or ask
any questions related to this product category.

This strategy is a work in progress, and everyone can contribute:

 - Please comment and contribute in the linked
   [issues](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Category%3ABackup%2FRestore%20of%20GitLab%20instances) and [epics](https://gitlab.com/groups/gitlab-org/-/epics?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Category%3ABackup%2FRestore%20of%20GitLab%20instances) on this page. Sharing your feedback directly on GitLab.com is the best way to
   contribute to our strategy and vision.

### Current state
⚠️ Since the beginning of 2020, the Geo Group is responsible for this category;
All data generated by GitLab should be easy to backup and restore - independent
of the size of the GitLab deployments. New features should ship with backup support
out of the box.

### Target audience and experience
Backup and restore tools are primarily used by [Sidney - (Systems Administrator)](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/#sidney-systems-administrator)

For more information on how we use personas and roles at GitLab, please [click
here](https://about.gitlab.com/handbook/marketing/product-marketing/roles-personas/).

### What's Next & Why 
We need to assess the current issue backlog and decide on product direction and
priorities.

### What is not planned right now
We are just in the process of defining the product direction and are not in a
position to answer this yet.

### Maturity plan
This category is currently at the <%=
data.categories["backup_restore"].maturity %> maturity level, and our next
maturity target is complete (see our [definitions of maturity
levels](/direction/maturity)).

In order to move this category from  <%=
data.categories["backup_restore"].maturity %> to complete, is to understand the
current backlog and prioritize performance issues and feature requests. You can track the work in the
[viable maturity epic](https://gitlab.com/groups/gitlab-org/-/epics/2299).

### Competitive landscape
We do need to understand the backup landscape better by doing more market research
and engaging with customers.

### Analyst landscape
<!--  What analysts and/or thought leaders in the space talking about, what are one or two issues
that will help us stay relevant from their perspective.-->
We do need to interact more closely with analysts to understand the landscape
better.

### Top customer success/sales issue(s)
<!-- These can be sourced from the CS/Sales top issue labels when available, internal
surveys, or from your conversations with them.-->

Not yet available.

### Top user issues
<!-- This is probably the top popular issue from the category (i.e. the one with the most
thumbs-up), but you may have a different item coming out of customer calls.-->

* [Category issues listed by popularity](https://gitlab.com/groups/gitlab-org/-/issues?label_name%5B%5D=Category%3ABackup%2FRestore+of+GitLab+instances&scope=all&sort=popularity&state=opened&utf8=%E2%9C%93)

### Top internal customer issues/epics  
<!-- These are sourced from internal customers wanting to [dogfood](https://about.gitlab.com/handbook/product/#dogfood-everything)
the product.-->
Not yet available.

### Top strategy item(s)
<!--  What's the most important thing to move your vision forward?-->
Not yet available.